@charset "UTF-8";
/* CSS Document */

@font-face {
    font-family: 'BarlowMedium';
    src: url('../assets/fonts/Barlow-Medium.ttf');
}
@font-face {
    font-family: 'BarlowRegular';
    src: url('../assets/fonts/Barlow-Regular.ttf');
}
@font-face {
    font-family: 'BarlowBold';
    src: url('../assets/fonts/Barlow-Bold.ttf');
}
@font-face {
    font-family: 'BarlowSemiBold';
    src: url('../assets/fonts/Barlow-SemiBold.ttf');
}

:root {
}

html, body {
	margin: 0;
	padding: 0;
	font-family: 'BarlowRegular';
	font-size: 15px;
    line-height: 23px;
	width: 100vw;
    height: 100vh;
    color: black;
    background-color: white;
}

body {
    display: flex;
    flex-direction: column;
}

.hide {
    display: none;
}

#logo {
    position: absolute;
    top: 12px;
    left: 12px;
    height: 50px;
    width: auto;
}

.dg.main {
    position: fixed;
    width: 360px !important;
    top: 0;
    right: 0;
}

.default-button,
.system-button {
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 8px;
    background-color: #d3dde6;
    color: #19222b;
    font-family: 'BarlowSemiBold';
    border-radius: 8px;
    cursor: pointer;
    min-width: 170px;
    box-sizing: border-box;
}

.default-button:hover {
    box-shadow: 0 0 0 2px #19222b;
}

select {
    cursor: pointer;
}
select:hover {
    box-shadow: 0 0 0 2px lightgray;
}

.system-button {
    background-color: #17a895;
    color: white;
}
.system-button:hover {
    box-shadow: 0 0 0 2px darkgray;
}

#lefthand-nav {
    position: absolute;
    left: 12px;
    top: 100px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width:30vw;
    padding-left:10px
}

.select-wrapper {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.select-title {
    font-family: 'BarlowSemiBold';
}

.collapsible.hide{
    visibility:collapse;
    display:none;
}
.collapsible.show {
    visibility:visible;
    display:block;
}

.select-value-description {
    font-size: 12px;
}

#culture-select,
#lid-select,
#well-select {
    padding: 6px;
    border-radius: 8px;
    width: fit-content;
}

#config-warning {
    position: absolute;
    width: 400px;
    top: 20px;
    left: 50vw;
    transform: translateX(-50%);
    font-family: 'BarlowMedium';
    text-align: center;
    color: red;
    display: none;
}
#config-warning.show {
    display: block;
}

#file-download-anchor,
#viz-download-canvas {
    display: none;
}

#tolerance-toggle-button {
    background: #d3dde6;
    box-shadow: inset 0 0 0 3px #d3dde6;
    box-sizing: border-box;
}
#tolerance-toggle-button::after {
    content: 'Show tolerance';
}
#tolerance-toggle-button.on::after {
    content: 'Hide tolerance';
}
#tolerance-toggle-button.on {
    background: transparent;
}

#dimensions-toggle-button {
    background: #d3dde6;
    box-shadow: inset 0 0 0 3px #d3dde6;
    box-sizing: border-box;
}
#dimensions-toggle-button::after {
    content: 'Show dimensions';
}
#dimensions-toggle-button.on::after {
    content: 'Hide dimensions';
}
#dimensions-toggle-button.on {
    background: transparent;
}

#range-toggle-button {
    background: #d3dde6;
    box-shadow: inset 0 0 0 3px #d3dde6;
    box-sizing: border-box;
}
#range-toggle-button::after {
    content: 'Show range';
}
#range-toggle-button.on::after {
    content: 'Hide range';
}
#range-toggle-button.on {
    background: transparent;
}


.slider-group,
#sliders {
    gap: 20px;
}

.slider-wrapper {
    display: flex;
    gap: 20px;
}

#advanced-wrapper{
    display: flex;
    gap: 20px;
    flex-direction: column;
}


.slider-wrapper,
#range-slider-wrapper,
#media-volume-slider-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 170px;
    border: 1px solid #d3d3d370;
    border-radius: 16px;
    padding: 8px;
}

#slider-wrapper .select-title,
#range-slider-wrapper .select-title,
#media-volume-slider-wrapper .select-title {
    text-align: center;
}

#height-slider,
#range-slider,
#media-volume-slider {
    position: relative;
    left: 76px;
    height: 160px;
    margin-bottom: 20px;
}

.slider-track,
#range-slider-track,
#media-volume-slider-track {
    position: absolute;
    height: 100%;
    width: 4px;
    background-color: lightgray;
    border-radius: 2px;
    transform: translateX(-50%);
}

.slider-thumb,
#range-slider-thumb,
#media-volume-slider-thumb {
    position: absolute;
    left: 0 !important;
    height: 29%;
    width: 16px;
    border-radius: 6px;
    background-color: #17a895;
    cursor: pointer;
    transform: translateX(-50%);
}

#media-volume-slider-thumb {
    height: 32px;
    background-color: #bf7ab1;
}

.slider-value,
.slider-min,
.slider-max,
#range-slider-min,
#range-slider-max,
#range-slider-value,
#media-volume-slider-min,
#media-volume-slider-max,
#media-volume-slider-value {
    position: absolute;
    font-size: 12px;
    line-height: 12px;
    /* height: 12px; */
}

.slider-value,
#range-slider-value,
#media-volume-slider-value {
    left: 16px;
    transform: translateY(-50%);
    font-family: 'BarlowMedium';
}

.slider-min,
.slider-max,
#range-slider-min,
#range-slider-max,
#media-volume-slider-min,
#media-volume-slider-max {
    width: 60px;
    text-align: right;
}

.slider-min,
#range-slider-min,
#media-volume-slider-min {
    top: 160px;
    transform: translate(-76px, -50%);
}

.slider-max,
#range-slider-max,
#media-volume-slider-max {
    transform: translate(-76px, -50%);
}

/* SVG */

#viz-container {
    position: absolute;
    left: 30vw;
    top: 50vh;
    transform: translateY(-50%);
    transform-origin: left;
}

#viz-svg {
    position: absolute;
    top: 0;
    left: 0;
}
